//
// Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
// Copyright (C) 2011-2011 - DIGITEO - Bruno JOFRET
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
//
//

function []=post_xcos_simulate(%cpr, scs_m, needcompile)
  callRep_freq = %f;   // Lance la fonction de tracés des réponses fréquentielles.
  disp('Loading Nice scope')
// On ajuste les scopes
  nicescope()

// On cherche les blocs Bode (ils peut y en avoir plusieurs)
// A chaque fois qu'on en trouve un, on vérifie que les signaux d'entrées et sorties sont bien définies et on lance la fonctions Rep_freq_post_simulate avec en argument les numéros des blocs grandeurs physique d'entrée et de sorties et le type de diagramme à tracer.
  for i = 1:size(scs_m.objs)
    curObj= scs_m.objs(i);
    if (typeof(curObj) == "Block" & curObj.gui == "REP_FREQ")
// si on a trouvé le bloc REP_FREQ on récupére les noms des signaux d'entrée et de sortie
      freq_in=curObj.model.opar(1)
      freq_out=curObj.model.opar(2)

// On vérifie ensuite que les entrées et sorties existent bien
      input_OK=%f // Ces variables indiquent si l'entrée et la sortie existent bien
      output_OK=%f
      for j = 1:size(scs_m.objs)
        curObjj= scs_m.objs(j);
        if (typeof(curObjj) == "Block" & curObjj.gui == "GRANDEUR_PHYSIQUE")
          if curObjj.graphics.exprs==freq_in then
            input_OK=%t;
          elseif  curObjj.graphics.exprs==freq_out then output_OK=%t;
          end
        end
      end

// Si ce n'est pas le cas, un message d'erreur s'affiche

      if ~input_OK & output_OK then
        message('Input signal of the frequential response is not defined on the diagram');
        break
      end

      if input_OK & ~output_OK then
        message('Output signal of the frequential response is not defined on the diagram');
        break
      end

      if ~input_OK & ~output_OK then
        message('Input and output signals of the frequential response are not defined on the diagram');
        break
      end

      callRep_freq = %t;

      break;
    end
  end


  if callRep_freq == %t
    disp('Calling REP_FREQ_post_simulate')
//  REP_FREQ_post_simulate(%cpr, scs_m, needcompile);
  end
endfunction